UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQRegistrationCompleteInfo Class Reference
Inheritance diagram for com.latencybusters.lbm.UMQRegistrationCompleteInfo:

## Public Member Functions
| UMQRegistrationCompleteInfo (int flags, long queueId, long assignmentId, String queue) throws LBMEInvalException
long | assignmentId ()
int | flags ()
long | queueId ()
String | queueName ()

## Detailed Description

UMQ Registration Complete Info class. Contains extended information for UMQ receiver registration complete messages.

Since
  UME 3.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo | ( | int | flags,
|  | long | queueId,
|  | long | assignmentId,
|  | String | queue
| ) |  | throws LBMEInvalException

Creates a UMQRegistrationCompleteInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  assignmentId | The generated Assignment ID for the receiver with the queue.
  queue | The name of the queue the receiver registered with.

Exceptions

  LBMEInvalException | An invalid parameter was specified.

Since
  UME 3.0

References com.latencybusters.lbm.UMQRegistrationCompleteInfo.assignmentId(), com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

## Member Function Documentation

long com.latencybusters.lbm.UMQRegistrationCompleteInfo.assignmentId | ( |  | ) |

Get generated Assignment ID for this registration complete message.

Returns
  The generated Assignment ID for the receiver with the queue.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo().

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName(), com.latencybusters.lbm.UMQQueueInfo.queueName(), com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo(), com.latencybusters.lbm.UMQContextEventRegistrationSuccessInfo.UMQContextEventRegistrationSuccessInfo(), com.latencybusters.lbm.UMQDeregistrationCompleteInfo.UMQDeregistrationCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo(), com.latencybusters.lbm.UMQIndexReleasedInfo.UMQIndexReleasedInfo(), com.latencybusters.lbm.UMQQueueIndexInfo.UMQQueueIndexInfo(), com.latencybusters.lbm.UMQQueueInfo.UMQQueueInfo(), com.latencybusters.lbm.UMQQueueInstanceInfo.UMQQueueInstanceInfo(), com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo(), com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo(), and com.latencybusters.lbm.UMQSourceEventRegistrationCompleteInfo.UMQSourceEventRegistrationCompleteInfo().

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName(), com.latencybusters.lbm.UMQQueueInfo.queueName(), com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo(), com.latencybusters.lbm.UMQContextEventRegistrationSuccessInfo.UMQContextEventRegistrationSuccessInfo(), com.latencybusters.lbm.UMQDeregistrationCompleteInfo.UMQDeregistrationCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo(), com.latencybusters.lbm.UMQIndexReleasedInfo.UMQIndexReleasedInfo(), com.latencybusters.lbm.UMQQueueIndexInfo.UMQQueueIndexInfo(), com.latencybusters.lbm.UMQQueueInfo.UMQQueueInfo(), com.latencybusters.lbm.UMQQueueInstanceInfo.UMQQueueInstanceInfo(), com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo(), com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo(), and com.latencybusters.lbm.UMQSourceEventRegistrationCompleteInfo.UMQSourceEventRegistrationCompleteInfo().

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

Since
  UME 3.0

References com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

The documentation for this class was generated from the following file:

- UMQRegistrationCompleteInfo.java